Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_NetGroup

Class used to group computers in a network game.
Contained in: global
Derived from: none
Derived by: none
Group: Network (NetSessions)

#include <ClanLib/network.h>

### public function member index:

### Construction:

`` | `CL_NetGroup` | `()`;
`` | `CL_NetGroup` | `(`const` `CL_NetComputer`& `computer`)`;
``virtual`` | `~CL_NetGroup` | `()`;

### Attributes:

``std::list`<`CL_NetComputer`>&` | `get_computers` | `() `const``;

### Operations:

``void`` | `add` | `(`const` `CL_NetComputer`& `computer`)`;
``void`` | `remove` | `(`const` `CL_NetComputer`& `computer`)`;
``void`` | `disconnect` | `()`;

## Description:

## Function Member Descriptions:

CL_NetGroup::CL_NetGroup - Construct an empty group list.
`` `CL_NetGroup` `()`;

CL_NetGroup::CL_NetGroup - Construct a group with one computer in it.
`` `CL_NetGroup` `(`const` `CL_NetComputer`& `computer`)`;

CL_NetGroup::add - Add computer to group.
``void`` `add` `(`const` `CL_NetComputer`& `computer`)`;

CL_NetGroup::disconnect - Disconnects all computers in group.
``void`` `disconnect` `()`;

CL_NetGroup::get_computers - List of computers in this group.
``std::list`<`CL_NetComputer`>&` `get_computers` `() `const``;

CL_NetGroup::remove - Remove computer from group.
``void`` `remove` `(`const` `CL_NetComputer`& `computer`)`;

CL_NetGroup::~CL_NetGroup - Net Group Destructor
``virtual`` `~CL_NetGroup` `()`;

## Variable Member Descriptions: